source: Makefile.in @ ef7d253

aaron-thesisarm-ehcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decaygc_noraiijacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerresolv-newwith_gc
Last change on this file since ef7d253 was ef7d253, checked in by Thierry Delisle <tdelisle@…>, 6 years ago

updated automake config to support less verbose build and compile the tests directory

  • Property mode set to 100644
File size: 24.6 KB
Line 
1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
21am__make_running_with_option = \
22  case $${target_option-} in \
23      ?) ;; \
24      *) echo "am__make_running_with_option: internal error: invalid" \
25              "target option '$${target_option-}' specified" >&2; \
26         exit 1;; \
27  esac; \
28  has_opt=no; \
29  sane_makeflags=$$MAKEFLAGS; \
30  if $(am__is_gnu_make); then \
31    sane_makeflags=$$MFLAGS; \
32  else \
33    case $$MAKEFLAGS in \
34      *\\[\ \   ]*) \
35        bs=\\; \
36        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
37          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
38    esac; \
39  fi; \
40  skip_next=no; \
41  strip_trailopt () \
42  { \
43    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
44  }; \
45  for flg in $$sane_makeflags; do \
46    test $$skip_next = yes && { skip_next=no; continue; }; \
47    case $$flg in \
48      *=*|--*) continue;; \
49        -*I) strip_trailopt 'I'; skip_next=yes;; \
50      -*I?*) strip_trailopt 'I';; \
51        -*O) strip_trailopt 'O'; skip_next=yes;; \
52      -*O?*) strip_trailopt 'O';; \
53        -*l) strip_trailopt 'l'; skip_next=yes;; \
54      -*l?*) strip_trailopt 'l';; \
55      -[dEDm]) skip_next=yes;; \
56      -[JT]) skip_next=yes;; \
57    esac; \
58    case $$flg in \
59      *$$target_option*) has_opt=yes; break;; \
60    esac; \
61  done; \
62  test $$has_opt = yes
63am__make_dryrun = (target_option=n; $(am__make_running_with_option))
64am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
65pkgdatadir = $(datadir)/@PACKAGE@
66pkgincludedir = $(includedir)/@PACKAGE@
67pkglibdir = $(libdir)/@PACKAGE@
68pkglibexecdir = $(libexecdir)/@PACKAGE@
69am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70install_sh_DATA = $(install_sh) -c -m 644
71install_sh_PROGRAM = $(install_sh) -c
72install_sh_SCRIPT = $(install_sh) -c
73INSTALL_HEADER = $(INSTALL_DATA)
74transform = $(program_transform_name)
75NORMAL_INSTALL = :
76PRE_INSTALL = :
77POST_INSTALL = :
78NORMAL_UNINSTALL = :
79PRE_UNINSTALL = :
80POST_UNINSTALL = :
81subdir = .
82DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
83        $(top_srcdir)/configure $(am__configure_deps) \
84        $(srcdir)/config.h.in INSTALL README automake/compile \
85        automake/depcomp automake/install-sh automake/missing \
86        automake/ylwrap $(top_srcdir)/automake/compile \
87        $(top_srcdir)/automake/install-sh \
88        $(top_srcdir)/automake/missing
89ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92        $(ACLOCAL_M4)
93am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
94 configure.lineno config.status.lineno
95mkinstalldirs = $(install_sh) -d
96CONFIG_HEADER = config.h
97CONFIG_CLEAN_FILES =
98CONFIG_CLEAN_VPATH_FILES =
99AM_V_P = $(am__v_P_@AM_V@)
100am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
101am__v_P_0 = false
102am__v_P_1 = :
103AM_V_GEN = $(am__v_GEN_@AM_V@)
104am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
105am__v_GEN_0 = @echo "  GEN     " $@;
106am__v_GEN_1 =
107AM_V_at = $(am__v_at_@AM_V@)
108am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
109am__v_at_0 = @
110am__v_at_1 =
111SOURCES =
112DIST_SOURCES =
113RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
114        ctags-recursive dvi-recursive html-recursive info-recursive \
115        install-data-recursive install-dvi-recursive \
116        install-exec-recursive install-html-recursive \
117        install-info-recursive install-pdf-recursive \
118        install-ps-recursive install-recursive installcheck-recursive \
119        installdirs-recursive pdf-recursive ps-recursive \
120        tags-recursive uninstall-recursive
121am__can_run_installinfo = \
122  case $$AM_UPDATE_INFO_DIR in \
123    n|no|NO) false;; \
124    *) (install-info --version) >/dev/null 2>&1;; \
125  esac
126RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
127  distclean-recursive maintainer-clean-recursive
128am__recursive_targets = \
129  $(RECURSIVE_TARGETS) \
130  $(RECURSIVE_CLEAN_TARGETS) \
131  $(am__extra_recursive_targets)
132AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
133        cscope distdir dist dist-all distcheck
134am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
135        $(LISP)config.h.in
136# Read a list of newline-separated strings from the standard input,
137# and print each of them once, without duplicates.  Input order is
138# *not* preserved.
139am__uniquify_input = $(AWK) '\
140  BEGIN { nonempty = 0; } \
141  { items[$$0] = 1; nonempty = 1; } \
142  END { if (nonempty) { for (i in items) print i; }; } \
143'
144# Make sure the list of sources is unique.  This is necessary because,
145# e.g., the same source file might be shared among _SOURCES variables
146# for different programs/libraries.
147am__define_uniq_tagged_files = \
148  list='$(am__tagged_files)'; \
149  unique=`for i in $$list; do \
150    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
151  done | $(am__uniquify_input)`
152ETAGS = etags
153CTAGS = ctags
154CSCOPE = cscope
155DIST_SUBDIRS = $(SUBDIRS)
156DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
157distdir = $(PACKAGE)-$(VERSION)
158top_distdir = $(distdir)
159am__remove_distdir = \
160  if test -d "$(distdir)"; then \
161    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
162      && rm -rf "$(distdir)" \
163      || { sleep 5 && rm -rf "$(distdir)"; }; \
164  else :; fi
165am__post_remove_distdir = $(am__remove_distdir)
166am__relativize = \
167  dir0=`pwd`; \
168  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
169  sed_rest='s,^[^/]*/*,,'; \
170  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
171  sed_butlast='s,/*[^/]*$$,,'; \
172  while test -n "$$dir1"; do \
173    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
174    if test "$$first" != "."; then \
175      if test "$$first" = ".."; then \
176        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
177        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
178      else \
179        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
180        if test "$$first2" = "$$first"; then \
181          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
182        else \
183          dir2="../$$dir2"; \
184        fi; \
185        dir0="$$dir0"/"$$first"; \
186      fi; \
187    fi; \
188    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
189  done; \
190  reldir="$$dir2"
191DIST_ARCHIVES = $(distdir).tar.gz
192GZIP_ENV = --best
193DIST_TARGETS = dist-gzip
194distuninstallcheck_listfiles = find . -type f -print
195am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
196  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
197distcleancheck_listfiles = find . -type f -print
198ACLOCAL = @ACLOCAL@
199ALLOCA = @ALLOCA@
200AMTAR = @AMTAR@
201AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
202AUTOCONF = @AUTOCONF@
203AUTOHEADER = @AUTOHEADER@
204AUTOMAKE = @AUTOMAKE@
205AWK = @AWK@
206BACKEND_CC = @BACKEND_CC@               # C compiler used to compile Cforall programs, versus C++ compiler used to build cfa command
207CC = @CC@
208CCDEPMODE = @CCDEPMODE@
209CFA_BACKEND_CC = @CFA_BACKEND_CC@
210CFA_BINDIR = @CFA_BINDIR@
211CFA_INCDIR = @CFA_INCDIR@
212CFA_LIBDIR = @CFA_LIBDIR@
213CFA_PREFIX = @CFA_PREFIX@
214CFLAGS = @CFLAGS@
215CPP = @CPP@
216CPPFLAGS = @CPPFLAGS@
217CXX = @CXX@
218CXXDEPMODE = @CXXDEPMODE@
219CXXFLAGS = @CXXFLAGS@
220CYGPATH_W = @CYGPATH_W@
221DEFS = @DEFS@
222DEPDIR = @DEPDIR@
223ECHO_C = @ECHO_C@
224ECHO_N = @ECHO_N@
225ECHO_T = @ECHO_T@
226EGREP = @EGREP@
227EXEEXT = @EXEEXT@
228GREP = @GREP@
229INSTALL = @INSTALL@
230INSTALL_DATA = @INSTALL_DATA@
231INSTALL_PROGRAM = @INSTALL_PROGRAM@
232INSTALL_SCRIPT = @INSTALL_SCRIPT@
233INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
234LDFLAGS = @LDFLAGS@
235LEX = @LEX@
236LEXLIB = @LEXLIB@
237LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
238LIBOBJS = @LIBOBJS@
239LIBS = @LIBS@
240LTLIBOBJS = @LTLIBOBJS@
241MAINT = @MAINT@
242MAKEINFO = @MAKEINFO@
243MKDIR_P = @MKDIR_P@
244OBJEXT = @OBJEXT@
245PACKAGE = @PACKAGE@
246PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
247PACKAGE_NAME = @PACKAGE_NAME@
248PACKAGE_STRING = @PACKAGE_STRING@
249PACKAGE_TARNAME = @PACKAGE_TARNAME@
250PACKAGE_URL = @PACKAGE_URL@
251PACKAGE_VERSION = @PACKAGE_VERSION@
252PATH_SEPARATOR = @PATH_SEPARATOR@
253RANLIB = @RANLIB@
254SET_MAKE = @SET_MAKE@
255SHELL = @SHELL@
256STRIP = @STRIP@
257VERSION = @VERSION@
258YACC = @YACC@
259YFLAGS = @YFLAGS@
260abs_builddir = @abs_builddir@
261abs_srcdir = @abs_srcdir@
262abs_top_builddir = @abs_top_builddir@
263abs_top_srcdir = @abs_top_srcdir@
264ac_ct_CC = @ac_ct_CC@
265ac_ct_CXX = @ac_ct_CXX@
266am__include = @am__include@
267am__leading_dot = @am__leading_dot@
268am__quote = @am__quote@
269am__tar = @am__tar@
270am__untar = @am__untar@
271bindir = @bindir@
272build_alias = @build_alias@
273builddir = @builddir@
274datadir = @datadir@
275datarootdir = @datarootdir@
276docdir = @docdir@
277dvidir = @dvidir@
278exec_prefix = @exec_prefix@
279host_alias = @host_alias@
280htmldir = @htmldir@
281includedir = @includedir@
282infodir = @infodir@
283install_sh = @install_sh@
284libdir = @libdir@
285libexecdir = @libexecdir@
286localedir = @localedir@
287localstatedir = @localstatedir@
288mandir = @mandir@
289mkdir_p = @mkdir_p@
290oldincludedir = @oldincludedir@
291pdfdir = @pdfdir@
292prefix = @prefix@
293program_transform_name = @program_transform_name@
294psdir = @psdir@
295sbindir = @sbindir@
296sharedstatedir = @sharedstatedir@
297srcdir = @srcdir@
298sysconfdir = @sysconfdir@
299target_alias = @target_alias@
300top_build_prefix = @top_build_prefix@
301top_builddir = @top_builddir@
302top_srcdir = @top_srcdir@
303AUTOMAKE_OPTIONS = foreign              # do not require all the GNU file names
304SUBDIRS = src/driver src src/libcfa     # order important, src before libcfa because cfa-cpp used to build prelude
305EXTRA_DIST = Docs                       # non-source files
306MAINTAINERCLEANFILES = lib/* bin/*
307all: config.h
308        $(MAKE) $(AM_MAKEFLAGS) all-recursive
309
310.SUFFIXES:
311am--refresh: Makefile
312        @:
313$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
314        @for dep in $?; do \
315          case '$(am__configure_deps)' in \
316            *$$dep*) \
317              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
318              $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
319                && exit 0; \
320              exit 1;; \
321          esac; \
322        done; \
323        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
324        $(am__cd) $(top_srcdir) && \
325          $(AUTOMAKE) --foreign Makefile
326.PRECIOUS: Makefile
327Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
328        @case '$?' in \
329          *config.status*) \
330            echo ' $(SHELL) ./config.status'; \
331            $(SHELL) ./config.status;; \
332          *) \
333            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
334            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
335        esac;
336
337$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
338        $(SHELL) ./config.status --recheck
339
340$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
341        $(am__cd) $(srcdir) && $(AUTOCONF)
342$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
343        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
344$(am__aclocal_m4_deps):
345
346config.h: stamp-h1
347        @test -f $@ || rm -f stamp-h1
348        @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
349
350stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
351        @rm -f stamp-h1
352        cd $(top_builddir) && $(SHELL) ./config.status config.h
353$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
354        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
355        rm -f stamp-h1
356        touch $@
357
358distclean-hdr:
359        -rm -f config.h stamp-h1
360
361# This directory's subdirectories are mostly independent; you can cd
362# into them and run 'make' without going through this Makefile.
363# To change the values of 'make' variables: instead of editing Makefiles,
364# (1) if the variable is set in 'config.status', edit 'config.status'
365#     (which will cause the Makefiles to be regenerated when you run 'make');
366# (2) otherwise, pass the desired values on the 'make' command line.
367$(am__recursive_targets):
368        @fail=; \
369        if $(am__make_keepgoing); then \
370          failcom='fail=yes'; \
371        else \
372          failcom='exit 1'; \
373        fi; \
374        dot_seen=no; \
375        target=`echo $@ | sed s/-recursive//`; \
376        case "$@" in \
377          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
378          *) list='$(SUBDIRS)' ;; \
379        esac; \
380        for subdir in $$list; do \
381          echo "Making $$target in $$subdir"; \
382          if test "$$subdir" = "."; then \
383            dot_seen=yes; \
384            local_target="$$target-am"; \
385          else \
386            local_target="$$target"; \
387          fi; \
388          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
389          || eval $$failcom; \
390        done; \
391        if test "$$dot_seen" = "no"; then \
392          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
393        fi; test -z "$$fail"
394
395ID: $(am__tagged_files)
396        $(am__define_uniq_tagged_files); mkid -fID $$unique
397tags: tags-recursive
398TAGS: tags
399
400tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
401        set x; \
402        here=`pwd`; \
403        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
404          include_option=--etags-include; \
405          empty_fix=.; \
406        else \
407          include_option=--include; \
408          empty_fix=; \
409        fi; \
410        list='$(SUBDIRS)'; for subdir in $$list; do \
411          if test "$$subdir" = .; then :; else \
412            test ! -f $$subdir/TAGS || \
413              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
414          fi; \
415        done; \
416        $(am__define_uniq_tagged_files); \
417        shift; \
418        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
419          test -n "$$unique" || unique=$$empty_fix; \
420          if test $$# -gt 0; then \
421            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
422              "$$@" $$unique; \
423          else \
424            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
425              $$unique; \
426          fi; \
427        fi
428ctags: ctags-recursive
429
430CTAGS: ctags
431ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
432        $(am__define_uniq_tagged_files); \
433        test -z "$(CTAGS_ARGS)$$unique" \
434          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
435             $$unique
436
437GTAGS:
438        here=`$(am__cd) $(top_builddir) && pwd` \
439          && $(am__cd) $(top_srcdir) \
440          && gtags -i $(GTAGS_ARGS) "$$here"
441cscope: cscope.files
442        test ! -s cscope.files \
443          || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
444clean-cscope:
445        -rm -f cscope.files
446cscope.files: clean-cscope cscopelist
447cscopelist: cscopelist-recursive
448
449cscopelist-am: $(am__tagged_files)
450        list='$(am__tagged_files)'; \
451        case "$(srcdir)" in \
452          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
453          *) sdir=$(subdir)/$(srcdir) ;; \
454        esac; \
455        for i in $$list; do \
456          if test -f "$$i"; then \
457            echo "$(subdir)/$$i"; \
458          else \
459            echo "$$sdir/$$i"; \
460          fi; \
461        done >> $(top_builddir)/cscope.files
462
463distclean-tags:
464        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
465        -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
466
467distdir: $(DISTFILES)
468        $(am__remove_distdir)
469        test -d "$(distdir)" || mkdir "$(distdir)"
470        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
471        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
472        list='$(DISTFILES)'; \
473          dist_files=`for file in $$list; do echo $$file; done | \
474          sed -e "s|^$$srcdirstrip/||;t" \
475              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
476        case $$dist_files in \
477          */*) $(MKDIR_P) `echo "$$dist_files" | \
478                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
479                           sort -u` ;; \
480        esac; \
481        for file in $$dist_files; do \
482          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
483          if test -d $$d/$$file; then \
484            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
485            if test -d "$(distdir)/$$file"; then \
486              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
487            fi; \
488            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
489              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
490              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
491            fi; \
492            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
493          else \
494            test -f "$(distdir)/$$file" \
495            || cp -p $$d/$$file "$(distdir)/$$file" \
496            || exit 1; \
497          fi; \
498        done
499        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
500          if test "$$subdir" = .; then :; else \
501            $(am__make_dryrun) \
502              || test -d "$(distdir)/$$subdir" \
503              || $(MKDIR_P) "$(distdir)/$$subdir" \
504              || exit 1; \
505            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
506            $(am__relativize); \
507            new_distdir=$$reldir; \
508            dir1=$$subdir; dir2="$(top_distdir)"; \
509            $(am__relativize); \
510            new_top_distdir=$$reldir; \
511            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
512            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
513            ($(am__cd) $$subdir && \
514              $(MAKE) $(AM_MAKEFLAGS) \
515                top_distdir="$$new_top_distdir" \
516                distdir="$$new_distdir" \
517                am__remove_distdir=: \
518                am__skip_length_check=: \
519                am__skip_mode_fix=: \
520                distdir) \
521              || exit 1; \
522          fi; \
523        done
524        -test -n "$(am__skip_mode_fix)" \
525        || find "$(distdir)" -type d ! -perm -755 \
526                -exec chmod u+rwx,go+rx {} \; -o \
527          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
528          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
529          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
530        || chmod -R a+r "$(distdir)"
531dist-gzip: distdir
532        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
533        $(am__post_remove_distdir)
534
535dist-bzip2: distdir
536        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
537        $(am__post_remove_distdir)
538
539dist-lzip: distdir
540        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
541        $(am__post_remove_distdir)
542
543dist-xz: distdir
544        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
545        $(am__post_remove_distdir)
546
547dist-tarZ: distdir
548        @echo WARNING: "Support for shar distribution archives is" \
549                       "deprecated." >&2
550        @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
551        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
552        $(am__post_remove_distdir)
553
554dist-shar: distdir
555        @echo WARNING: "Support for distribution archives compressed with" \
556                       "legacy program 'compress' is deprecated." >&2
557        @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
558        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
559        $(am__post_remove_distdir)
560
561dist-zip: distdir
562        -rm -f $(distdir).zip
563        zip -rq $(distdir).zip $(distdir)
564        $(am__post_remove_distdir)
565
566dist dist-all:
567        $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
568        $(am__post_remove_distdir)
569
570# This target untars the dist file and tries a VPATH configuration.  Then
571# it guarantees that the distribution is self-contained by making another
572# tarfile.
573distcheck: dist
574        case '$(DIST_ARCHIVES)' in \
575        *.tar.gz*) \
576          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
577        *.tar.bz2*) \
578          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
579        *.tar.lz*) \
580          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
581        *.tar.xz*) \
582          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
583        *.tar.Z*) \
584          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
585        *.shar.gz*) \
586          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
587        *.zip*) \
588          unzip $(distdir).zip ;;\
589        esac
590        chmod -R a-w $(distdir)
591        chmod u+w $(distdir)
592        mkdir $(distdir)/_build $(distdir)/_inst
593        chmod a-w $(distdir)
594        test -d $(distdir)/_build || exit 0; \
595        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
596          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
597          && am__cwd=`pwd` \
598          && $(am__cd) $(distdir)/_build \
599          && ../configure \
600            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
601            $(DISTCHECK_CONFIGURE_FLAGS) \
602            --srcdir=.. --prefix="$$dc_install_base" \
603          && $(MAKE) $(AM_MAKEFLAGS) \
604          && $(MAKE) $(AM_MAKEFLAGS) dvi \
605          && $(MAKE) $(AM_MAKEFLAGS) check \
606          && $(MAKE) $(AM_MAKEFLAGS) install \
607          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
608          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
609          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
610                distuninstallcheck \
611          && chmod -R a-w "$$dc_install_base" \
612          && ({ \
613               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
614               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
615               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
616               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
617                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
618              } || { rm -rf "$$dc_destdir"; exit 1; }) \
619          && rm -rf "$$dc_destdir" \
620          && $(MAKE) $(AM_MAKEFLAGS) dist \
621          && rm -rf $(DIST_ARCHIVES) \
622          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
623          && cd "$$am__cwd" \
624          || exit 1
625        $(am__post_remove_distdir)
626        @(echo "$(distdir) archives ready for distribution: "; \
627          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
628          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
629distuninstallcheck:
630        @test -n '$(distuninstallcheck_dir)' || { \
631          echo 'ERROR: trying to run $@ with an empty' \
632               '$$(distuninstallcheck_dir)' >&2; \
633          exit 1; \
634        }; \
635        $(am__cd) '$(distuninstallcheck_dir)' || { \
636          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
637          exit 1; \
638        }; \
639        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
640           || { echo "ERROR: files left after uninstall:" ; \
641                if test -n "$(DESTDIR)"; then \
642                  echo "  (check DESTDIR support)"; \
643                fi ; \
644                $(distuninstallcheck_listfiles) ; \
645                exit 1; } >&2
646distcleancheck: distclean
647        @if test '$(srcdir)' = . ; then \
648          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
649          exit 1 ; \
650        fi
651        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
652          || { echo "ERROR: files left in build directory after distclean:" ; \
653               $(distcleancheck_listfiles) ; \
654               exit 1; } >&2
655check-am: all-am
656check: check-recursive
657all-am: Makefile config.h
658installdirs: installdirs-recursive
659installdirs-am:
660install: install-recursive
661install-exec: install-exec-recursive
662install-data: install-data-recursive
663uninstall: uninstall-recursive
664
665install-am: all-am
666        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
667
668installcheck: installcheck-recursive
669install-strip:
670        if test -z '$(STRIP)'; then \
671          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
672            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
673              install; \
674        else \
675          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
676            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
677            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
678        fi
679mostlyclean-generic:
680
681clean-generic:
682
683distclean-generic:
684        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
685        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
686
687maintainer-clean-generic:
688        @echo "This command is intended for maintainers to use"
689        @echo "it deletes files that may require special tools to rebuild."
690        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
691clean: clean-recursive
692
693clean-am: clean-generic mostlyclean-am
694
695distclean: distclean-recursive
696        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
697        -rm -f Makefile
698distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
699
700dvi: dvi-recursive
701
702dvi-am:
703
704html: html-recursive
705
706html-am:
707
708info: info-recursive
709
710info-am:
711
712install-data-am:
713
714install-dvi: install-dvi-recursive
715
716install-dvi-am:
717
718install-exec-am:
719
720install-html: install-html-recursive
721
722install-html-am:
723
724install-info: install-info-recursive
725
726install-info-am:
727
728install-man:
729
730install-pdf: install-pdf-recursive
731
732install-pdf-am:
733
734install-ps: install-ps-recursive
735
736install-ps-am:
737
738installcheck-am:
739
740maintainer-clean: maintainer-clean-recursive
741        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
742        -rm -rf $(top_srcdir)/autom4te.cache
743        -rm -f Makefile
744maintainer-clean-am: distclean-am maintainer-clean-generic
745
746mostlyclean: mostlyclean-recursive
747
748mostlyclean-am: mostlyclean-generic
749
750pdf: pdf-recursive
751
752pdf-am:
753
754ps: ps-recursive
755
756ps-am:
757
758uninstall-am:
759
760.MAKE: $(am__recursive_targets) all install-am install-strip
761
762.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
763        am--refresh check check-am clean clean-cscope clean-generic \
764        cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
765        dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
766        distcheck distclean distclean-generic distclean-hdr \
767        distclean-tags distcleancheck distdir distuninstallcheck dvi \
768        dvi-am html html-am info info-am install install-am \
769        install-data install-data-am install-dvi install-dvi-am \
770        install-exec install-exec-am install-html install-html-am \
771        install-info install-info-am install-man install-pdf \
772        install-pdf-am install-ps install-ps-am install-strip \
773        installcheck installcheck-am installdirs installdirs-am \
774        maintainer-clean maintainer-clean-generic mostlyclean \
775        mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
776        uninstall-am
777
778
779# Tell versions [3.59,3.63) of GNU make to not export all variables.
780# Otherwise a system limit (for SysV at least) may be exceeded.
781.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.